package server

import (
	"github.com/urfave/cli/v2"
)

// ServerCommand defines the `abra server` command and its subcommands
var ServerCommand = &cli.Command{
	Name:    "server",
	Aliases: []string{"s"},
	Usage:   "Manage servers via 3rd party providers",
	Description: `
Manage the lifecycle of a server.

These commands support creating new servers using 3rd party integrations,
initialising existing servers to support Co-op Cloud deployments and managing
the connections to those servers.
`,
	Subcommands: []*cli.Command{
		serverNewCommand,
		serverInitCommand,
		serverAddCommand,
		serverListCommand,
		serverRemoveCommand,
	},
}
